/**
Override the sequencing of the Overview windows to present the windows
in the sequence of most recently used rather than based on the minimum
apparent distance travelled.
**/

const Workspace = imports.ui.workspace;

var orderWindowsByMotionAndStartup_orig = null;

function _orderWindowsByMotionAndStartup(clones, slots) {

	// simply re-order 'clones' to reverse the sequence
	let count = clones.length;
	for (let i = count-1; i>=0; i--)
	{
		clones.push(clones[i]);
		clones.splice(i,1);
	}
	return clones;

}

function init() {
	orderWindowsByMotionAndStartup_orig = Workspace.Workspace.prototype._orderWindowsByMotionAndStartup;
}

function enable() {
	Workspace.Workspace.prototype._orderWindowsByMotionAndStartup = _orderWindowsByMotionAndStartup;
}

function disable() {
	Workspace.Workspace.prototype._orderWindowsByMotionAndStartup = orderWindowsByMotionAndStartup_orig;
}
